## glite-jobid-api-java 1.2.0

=== Makefile ===
top_srcdir=.
stagedir=../stage

-include Makefile.inc

ANT_ARGS=-f ${top_srcdir}/build.xml -Dfile.reference.commons-codec.jar=${jakarta-commons-codec_jar} -Dsrc.dir=${top_srcdir}/src -Dbuild.dir=$(shell pwd)/build -Ddist.dir=$(shell pwd)/dist

all compile:
	${ant_prefix}/bin/ant ${ANT_ARGS}

stage:
	$(MAKE) install PREFIX=${stagedir}

install:
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/java
	cp dist/jobid-api-java.jar ${DESTDIR}${PREFIX}${prefix}/share/java

check:

clean:
	${ant_prefix}/bin/ant ${ANT_ARGS} clean

distclean:
	rm -rvf Makefile.inc *.spec debian/

.PHONY: all compile stage install check clean distclean

=== debian/changelog ===
glite-jobid-api-java (1.2.0-6) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:30:33 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module jobid.api-java
	touch $@

build: build-indep

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

## glite-jobid-api-java 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,21 @@
 top_srcdir=.
 stagedir=../stage
+package=glite-jobid-api-java
+
+default: all
 
 -include Makefile.inc
+-include ${top_srcdir}/project/version.properties
+
+version=${module.version}
 
 ANT_ARGS=-f ${top_srcdir}/build.xml -Dfile.reference.commons-codec.jar=${jakarta-commons-codec_jar} -Dsrc.dir=${top_srcdir}/src -Dbuild.dir=$(shell pwd)/build -Ddist.dir=$(shell pwd)/dist
+
+SOURCES=\
+	build.xml Makefile \
+	nbproject/*.properties nbproject/*.xml \
+	nbproject/private/*.properties nbproject/private/*.xml \
+	src/org/glite/jobid/*.java
 
 all compile:
 	${ant_prefix}/bin/ant ${ANT_ARGS}
@@ -19,8 +31,9 @@
 
 clean:
 	${ant_prefix}/bin/ant ${ANT_ARGS} clean
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
 
-.PHONY: all compile stage install check clean distclean
+.PHONY: default all compile stage install check clean distclean dist distcheck

=== debian/changelog ===
glite-jobid-api-java (1.3.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:30 +0200

=== debian/control ===
Source: glite-jobid-api-java
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), ant, libcommons-codec-java, default-jdk
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-jobid-api-java
Section: libs
Architecture: all
Depends: libcommons-codec-java, ${misc:Depends}
Description: JAVA implementation of handling gLite jobid
 JAVA implementation of handling gLite
 jobid

## glite-jobid-api-java 1.3.4

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 install:
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/java
-	cp dist/jobid-api-java.jar ${DESTDIR}${PREFIX}${prefix}/share/java
+	cp dist/glite-jobid-api-java.jar ${DESTDIR}${PREFIX}${prefix}/share/java
 
 check:
 
@@ -34,6 +34,6 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 .PHONY: default all compile stage install check clean distclean dist distcheck

=== debian/changelog ===
glite-jobid-api-java (1.3.4-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -40,7 +40,7 @@
 binary-indep: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman

## glite-jobid-api-java 1.3.6

=== Makefile ===
--- 
+++ 
@@ -17,15 +17,16 @@
 	nbproject/private/*.properties nbproject/private/*.xml \
 	src/org/glite/jobid/*.java
 
-all compile:
+all compile doc:
 	${ant_prefix}/bin/ant ${ANT_ARGS}
 
 stage:
 	$(MAKE) install PREFIX=${stagedir}
 
 install:
-	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/java
+	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/java ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/api
 	cp dist/glite-jobid-api-java.jar ${DESTDIR}${PREFIX}${prefix}/share/java
+	cp -rp dist/javadoc/* ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/api
 
 check:

=== debian/changelog ===
glite-jobid-api-java (1.3.6-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:04 +0200

=== debian/control ===
Source: glite-jobid-api-java
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), ant, libcommons-codec-java, default-jdk
Standards-Version: 3.9.1
Section: java
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-jobid-api-java
Section: java
Architecture: all
Depends: libcommons-codec-java, ${misc:Depends}
Replaces: glite-jobid-api-java
Provides: glite-jobid-api-java
Description: JAVA implementation of handling gLite jobid
 JAVA implementation of library handling gLite
 jobid.

Package: libglite-jobid-api-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libglite-jobid-api-java, default-jdk-doc
Description: Java API documentation for gLite jobid java library
 This package contains java API documentation for gLite jobid java library.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+p_base=glite-jobid-api-java
+p_lib=libglite-jobid-api-java
+p_doc=libglite-jobid-api-java-doc
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -26,7 +30,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f configure-stamp build-stamp
-	$(MAKE) clean
+	-$(MAKE) clean
 	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
@@ -36,6 +40,9 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	mkdir -p debian/$(p_doc)/usr/share/doc
+	mkdir -p debian/$(p_lib)/usr/share/doc
+	mv debian/tmp/usr/share/doc/$(p_base)-1.3.6 debian/$(p_doc)/usr/share/doc/$(p_lib)
 
 binary-indep: install
 	dh_testdir

## glite-jobid-api-java 1.3.7

=== Makefile ===
top_srcdir=.
stagedir=../stage
package=glite-jobid-api-java

default: all

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}
docdir?=${prefix}/share/doc/${package}-${version}

ANT_ARGS=-f ${top_srcdir}/build.xml -Dfile.reference.commons-codec.jar=${jakarta-commons-codec_jar} -Dsrc.dir=${top_srcdir}/src -Dbuild.dir=$(shell pwd)/build -Ddist.dir=$(shell pwd)/dist

SOURCES=\
	build.xml Makefile \
	nbproject/*.properties nbproject/*.xml \
	nbproject/private/*.properties nbproject/private/*.xml \
	project/pom.xml \
	src/org/glite/jobid/*.java

POM=JPP-${package}.pom

all compile doc: ${POM}
	${ant_prefix}/bin/ant ${ANT_ARGS}

stage:
	$(MAKE) install PREFIX=${stagedir}

install:
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/java ${DESTDIR}${PREFIX}${docdir}/api
	cp dist/glite-jobid-api-java.jar ${DESTDIR}${PREFIX}${prefix}/share/java
	cp -rp dist/javadoc/* ${DESTDIR}${PREFIX}${docdir}/api

check:

clean:
	${ant_prefix}/bin/ant ${ANT_ARGS} clean
	rm -fv ${POM}
	rm -rvf dist ${package}-*.tar.gz

distclean:
	rm -rvf project/changelog Makefile.inc *.spec debian/

${POM}: ${top_srcdir}/project/pom.xml
	sed -e "s:@DESCRIPTION@:$(shell cat ${top_srcdir}/project/package.description):" \
	    -e "s:@VERSION@:${version}:" \
	    $< > $@

.PHONY: default all compile stage install check clean distclean dist distcheck

=== debian/changelog ===
glite-jobid-api-java (1.3.7-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:41 +0100

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module jobid.api-java
+	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --project=emi --module jobid.api-java
 	touch $@
 
 build: build-indep
@@ -42,7 +42,7 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	mkdir -p debian/$(p_doc)/usr/share/doc
 	mkdir -p debian/$(p_lib)/usr/share/doc
-	mv debian/tmp/usr/share/doc/$(p_base)-1.3.6 debian/$(p_doc)/usr/share/doc/$(p_lib)
+	mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_doc)/usr/share/doc/$(p_lib)
 
 binary-indep: install
 	dh_testdir

## glite-jobid-api-java 1.3.9

=== debian/changelog ===
glite-jobid-api-java (1.3.9-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:47 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,8 @@
 Standards-Version: 3.9.1
 Section: java
 Homepage: http://glite.cern.ch
-DM-Upload-Allowed: yes
-Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
-Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi
 
 Package: libglite-jobid-api-java
-Section: java
 Architecture: all
 Depends: libcommons-codec-java, ${misc:Depends}
 Replaces: glite-jobid-api-java
@@ -26,4 +22,7 @@
 Depends: ${misc:Depends}
 Suggests: libglite-jobid-api-java, default-jdk-doc
 Description: Java API documentation for gLite jobid java library
+ JAVA implementation of library handling gLite
+ jobid.
+ .
  This package contains java API documentation for gLite jobid java library.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_base=glite-jobid-api-java
p_lib=libglite-jobid-api-java
p_doc=libglite-jobid-api-java-doc

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --os-type=debian --project=emi

override_dh_auto_clean: config.status
	-make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_install:
	mkdir -p debian/$(p_doc)/usr/share/doc
	mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_doc)/usr/share/doc/$(p_lib)
	dh_install

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.jobid.api-java/glite-jobid-api-java-(.*)\.tar\.gz
